Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes
tesseract::RowInfo Class Reference

`#include <paragraphs.h>`

List of all members.

## Public Attributes

STRING | text
bool | ltr
bool | has_leaders
bool | has_drop_cap
int | pix_ldistance
int | pix_rdistance
float | pix_xheight
int | average_interword_space
int | num_words
TBOX | lword_box
TBOX | rword_box
STRING | lword_text
STRING | rword_text
bool | lword_indicates_list_item
bool | lword_likely_starts_idea
bool | lword_likely_ends_idea
bool | rword_indicates_list_item
bool | rword_likely_starts_idea
bool | rword_likely_ends_idea

## Detailed Description

Definition at line 40 of file paragraphs.h.

## Member Data Documentation

int tesseract::RowInfo::average_interword_space

Definition at line 52 of file paragraphs.h.

bool tesseract::RowInfo::has_drop_cap

Definition at line 48 of file paragraphs.h.

bool tesseract::RowInfo::has_leaders

Definition at line 47 of file paragraphs.h.

bool tesseract::RowInfo::ltr

Definition at line 44 of file paragraphs.h.

TBOX tesseract::RowInfo::lword_box

Definition at line 55 of file paragraphs.h.

bool tesseract::RowInfo::lword_indicates_list_item

Definition at line 71 of file paragraphs.h.

bool tesseract::RowInfo::lword_likely_ends_idea

Definition at line 73 of file paragraphs.h.

bool tesseract::RowInfo::lword_likely_starts_idea

Definition at line 72 of file paragraphs.h.

STRING tesseract::RowInfo::lword_text

Definition at line 58 of file paragraphs.h.

int tesseract::RowInfo::num_words

Definition at line 54 of file paragraphs.h.

int tesseract::RowInfo::pix_ldistance

Definition at line 49 of file paragraphs.h.

int tesseract::RowInfo::pix_rdistance

Definition at line 50 of file paragraphs.h.

float tesseract::RowInfo::pix_xheight

Definition at line 51 of file paragraphs.h.

TBOX tesseract::RowInfo::rword_box

Definition at line 56 of file paragraphs.h.

bool tesseract::RowInfo::rword_indicates_list_item

Definition at line 75 of file paragraphs.h.

bool tesseract::RowInfo::rword_likely_ends_idea

Definition at line 77 of file paragraphs.h.

bool tesseract::RowInfo::rword_likely_starts_idea

Definition at line 76 of file paragraphs.h.

STRING tesseract::RowInfo::rword_text

Definition at line 59 of file paragraphs.h.

STRING tesseract::RowInfo::text

Definition at line 43 of file paragraphs.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccmain/paragraphs.h